package com.example.greenwatch;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    private Button audiodetectionButton;
    private Button videodetectionButton;
    private Button accelerometerButton;
    private Button audiodetectionAndAccelerometerButton;
    private Button videodetectionAndAccelerometerButton;
    private Button connectionButton;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        audiodetectionButton = (Button) findViewById(R.id.audiodetectionButton);
        videodetectionButton = (Button) findViewById(R.id.videodetectionButton);
        accelerometerButton = (Button) findViewById(R.id.accelerometerButton);
        audiodetectionAndAccelerometerButton = (Button) findViewById(R.id.audiodetectionAndAccelerometerButton);
        videodetectionAndAccelerometerButton = (Button) findViewById(R.id.videodetectionAndAccelerometerButton);
        connectionButton = (Button) findViewById(R.id.connectionButton);
        audiodetectionButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                openAudiodetectionActivity();
            }
        });
        videodetectionButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                openVideodetectionActivity();
            }
        });
        accelerometerButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                openAccelerometerActivity();
            }
        });
        audiodetectionAndAccelerometerButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                openAudiodetectionAndAccelerometerActivity();
            }
        });
        videodetectionAndAccelerometerButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                openVideodetectionAndAccelerometerActivity();
            }
        });
        connectionButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                openConnectionActivity();
            }
        });
    }
    public void openAudiodetectionActivity(){
        Intent intent = new Intent(this, AudiodetectionActivity.class);
        startActivity(intent);
    }
    public void openVideodetectionActivity(){
        Intent intent =  new Intent(this, VideodetectionActivity.class);
        startActivity(intent);
    }
    public void openAccelerometerActivity(){
        Intent intent = new Intent(this, AccelerometerActivity.class);
        startActivity(intent);
    }
    public void openAudiodetectionAndAccelerometerActivity(){
        Intent intent = new Intent(this, AudiodetectionAndAccelerometerActivity.class);
        startActivity(intent);
    }
    public void openVideodetectionAndAccelerometerActivity(){
        Intent intent = new Intent(this, VideodetectionAndAccelerometerActivity.class);
        startActivity(intent);
    }
    public void openConnectionActivity(){
        Intent intent = new Intent(this, ConnectionActivity.class);
        startActivity(intent);
    }

}